# Uses of Class
org.eclipse.mat.inspections.osgi.model.Service

Packages that use Service
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.

## Uses of Service in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model that return types with arguments of type Service
Modifier and Type
Method
Description
`List<Service>`
Bundle.`getRegisteredServices()`
`List<Service>`
OSGiModel.`getServices()`
Get all the services found in ServiceRegistry
`List<Service>`
Bundle.`getUsedServices()`